NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_socknonblocking(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_socknonblocking - Set socket nonblocking

## Table Of Contents

## Synopsis

- ns_socknonblocking sockid

## Description

This function sets the socket for the specified sockId to nonblocking.

## COMMANDS

ns_socknonblocking sockid

## EXAMPLES

## See Also

ns_sockblocking, nsd

## Keywords

NaviServer, blocking, socket